<!DOCTYPE html>
<html lang="en">

<head>
    <%- include('./partials/head.ejs') -%>

    <link rel="stylesheet" href="/stylesheets/login-register.css">
    <link rel="stylesheet" href="/stylesheets/dashboard.css">
</head>

<body>
    <div class="setting">
        <!-- profile pic and username -->
        <div class="profile-username-setting">
            <form action="/profileUpdate/uploadAvatar" method="POST" enctype="multipart/form-data">
                <div class="avatar-wrapper">
                    <img class="profile-pic image-cropper" src=<%- avatar %> />
                    <div class="upload-button">
                        <i class="fas fa-cloud-upload-alt"></i>
                    </div>
                    <input name="avatar" class="file-upload" type="file" />
                </div>
            </form>
            <h4 class="text-center">
                <span><%- firstName %></span>
                <span><%- lastName %></span>
            </h4>
            <hr>
        </div>

        <!-- Setting -->
        <div class="setting-dashboard">
            <ul>
                <li><a href="#">صفحه اصلی سایت</a></li>
                <li><a href="http://localhost:1717/articles/">مشاهده مقالات</a></li>
                <li><a href="http://localhost:1717/profileUpdate/">ویرایش حساب کاربری</a></li>
                <li><a href="dashboard/logout">خروج</a></li>
            </ul>
        </div>

        <p class="copy-right">Copyright © 2020 Amin Alizadeh, All Rights Reserved</p>
    </div>

    <div class="articles-container">
        <div class="container" style="color: rgb(2, 2, 20);">
            <h1 class="mb-4">مشاهده مقالات</h1>
            <a href="/articles/new" class="btn btn-light">افزودن مقاله جدید</a>

            <% articles.forEach(article => { %>
            <div class="card mt-4 d-flex flex-row ">
                <img class="card-img-right " style="width: 30%;" src=<%= article.image %>  alt="Card image cap">

                <div class="card-body">
                    <h4 class="card-title">
                        <%= article.title %>
                    </h4>
                    <div class="card-subtitle text-muted mb-2">
                        <%= article.createdAt.toLocaleDateString('fa-IR') %>
                    </div>
                    <div class="card-text mb-2">
                        <%= article.description %>
                    </div>
                    <div class="action-btns" style="margin-top: 30px">
                        <a href="/articles/show/<%= article.id %> " class="btn btn-info">مطالعه مقاله</a>
                        <a href="/articles/edit/<%= article.id %> " class="btn btn-secondary">ویرایش مقاله</a>
                        <a href="/articles/remove/<%= article.id %> " class="btn btn-danger">حذف مقاله</a>
                    </div>

                </div>
            </div>
            <% }); %>
        </div>
    </div>

    <!-- Bootstrap and Fontawsome scripts -->
    <%- include('./partials/essentialScripts.ejs') %>

</body>

</html>